Skip to main content
GET
/
v1
/
builtin-nodes
/
{id}
Get Builtin Node
curl --request GET \
  --url https://api.runflow.io/v1/builtin-nodes/{id} \
  --header 'Authorization: Bearer <token>'
{
  "code": "<string>",
  "type_code": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "category": "<string>",
  "color": "<string>",
  "icon_name": "<string>",
  "sort_order": 123,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "inputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "builtin_node_code": "<string>",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "default_behavior_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "outputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "builtin_node_code": "<string>",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Builtin node code

Query Parameters

embed
string | null

Embed relations (e.g. 'inputs,outputs')

Response

Successful Response

Response shape.

code
string | null
type_code
string | null
display_name
string | null
description
string | null
category
string | null
color
string | null
icon_name
string | null
sort_order
integer | null
is_active
boolean | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
inputs
FullValidator · object[] | null
outputs
FullValidator · object[] | null